Skip to main content
`Ctrl`+`K`

# DMAdaptor

An object that constructs a `DMLabel` or metric `Vec` that can be used to modify a `DM` based on error estimators or other criteria

## Synopsis

    typedef struct _p_DMAdaptor *DMAdaptor;

## See Also

DM Basics, `DM`, `DMAdaptorCreate()`, `DMAdaptorSetSolver()`, `DMAdaptorGetSolver()`, `DMAdaptorSetSequenceLength()`, `DMAdaptorGetSequenceLength()`, `DMAdaptorSetFromOptions()`, `DMAdaptorSetUp()`, `DMAdaptorAdapt()`, `DMAdaptorDestroy()`, `DMAdaptorGetTransferFunction()`, `PetscConvEstCreate()`, `PetscConvEstDestroy()`

## Level

developer

## Location

include/petscdmadaptortypes.h

## Implementations

_p_DMAdaptor in include/petsc/private/dmadaptorimpl.h

Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages